Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenNavigator

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenDomainModelNavigator, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenNavigatorImpl

    public interface GenNavigator

extends GenDomainModelNavigator

A representation of the model object 'Gen Navigator'.

The following features are supported:

- `Editor Gen`
- `Content Extension ID`
- `Content Extension Name`
- `Content Extension Priority`
- `Link Helper Extension ID`
- `Sorter Extension ID`
- `Action Provider ID`
- `Content Provider Class Name`
- `Label Provider Class Name`
- `Link Helper Class Name`
- `Sorter Class Name`
- `Action Provider Class Name`
- `Abstract Navigator Item Class Name`
- `Navigator Group Class Name`
- `Navigator Item Class Name`
- `Uri Input Tester Class Name`
- `Package Name`
- `Child References`

See Also:
  `GMFGenPackage.getGenNavigator()`
** Generated **
Model:

Method Summary
`java.lang.String` `getAbstractNavigatorItemClassName()` Returns the value of the 'Abstract Navigator Item Class Name' attribute
`java.lang.String` `getAbstractNavigatorItemQualifiedClassName()`
`java.lang.String` `getActionProviderClassName()` Returns the value of the 'Action Provider Class Name' attribute
`java.lang.String` `getActionProviderID()` Returns the value of the 'Action Provider ID' attribute
`java.lang.String` `getActionProviderQualifiedClassName()`
`org.eclipse.emf.common.util.EList<GenNavigatorChildReference>` `getChildReferences()` Returns the value of the 'Child References' containment reference list.
`java.lang.String` `getContentExtensionID()` Returns the value of the 'Content Extension ID' attribute
`java.lang.String` `getContentExtensionName()` Returns the value of the 'Content Extension Name' attribute
`java.lang.String` `getContentExtensionPriority()` Returns the value of the 'Content Extension Priority' attribute
`java.lang.String` `getContentProviderClassName()` Returns the value of the 'Content Provider Class Name' attribute
`java.lang.String` `getContentProviderQualifiedClassName()`
`GenEditorGenerator` `getEditorGen()` Returns the value of the 'Editor Gen' container reference.
`java.lang.String` `getLabelProviderClassName()` Returns the value of the 'Label Provider Class Name' attribute
`java.lang.String` `getLabelProviderQualifiedClassName()`
`java.lang.String` `getLinkHelperClassName()` Returns the value of the 'Link Helper Class Name' attribute
`java.lang.String` `getLinkHelperExtensionID()` Returns the value of the 'Link Helper Extension ID' attribute
`java.lang.String` `getLinkHelperQualifiedClassName()`
`java.lang.String` `getNavigatorGroupClassName()` Returns the value of the 'Navigator Group Class Name' attribute
`java.lang.String` `getNavigatorGroupQualifiedClassName()`
`java.lang.String` `getNavigatorItemClassName()` Returns the value of the 'Navigator Item Class Name' attribute
`java.lang.String` `getNavigatorItemQualifiedClassName()`
`java.lang.String` `getPackageName()` Returns the value of the 'Package Name' attribute
`java.lang.String` `getSorterClassName()` Returns the value of the 'Sorter Class Name' attribute
`java.lang.String` `getSorterExtensionID()` Returns the value of the 'Sorter Extension ID' attribute
`java.lang.String` `getSorterQualifiedClassName()`
`java.lang.String` `getUriInputTesterClassName()` Returns the value of the 'Uri Input Tester Class Name' attribute
`java.lang.String` `getUriInputTesterQualifiedClassName()`
`void` `setAbstractNavigatorItemClassName(java.lang.String value)` Sets the value of the '`Abstract Navigator Item Class Name`' attribute
`void` `setActionProviderClassName(java.lang.String value)` Sets the value of the '`Action Provider Class Name`' attribute
`void` `setActionProviderID(java.lang.String value)` Sets the value of the '`Action Provider ID`' attribute
`void` `setContentExtensionID(java.lang.String value)` Sets the value of the '`Content Extension ID`' attribute
`void` `setContentExtensionName(java.lang.String value)` Sets the value of the '`Content Extension Name`' attribute
`void` `setContentExtensionPriority(java.lang.String value)` Sets the value of the '`Content Extension Priority`' attribute
`void` `setContentProviderClassName(java.lang.String value)` Sets the value of the '`Content Provider Class Name`' attribute
`void` `setLabelProviderClassName(java.lang.String value)` Sets the value of the '`Label Provider Class Name`' attribute
`void` `setLinkHelperClassName(java.lang.String value)` Sets the value of the '`Link Helper Class Name`' attribute
`void` `setLinkHelperExtensionID(java.lang.String value)` Sets the value of the '`Link Helper Extension ID`' attribute
`void` `setNavigatorGroupClassName(java.lang.String value)` Sets the value of the '`Navigator Group Class Name`' attribute
`void` `setNavigatorItemClassName(java.lang.String value)` Sets the value of the '`Navigator Item Class Name`' attribute
`void` `setPackageName(java.lang.String value)` Sets the value of the '`Package Name`' attribute
`void` `setSorterClassName(java.lang.String value)` Sets the value of the '`Sorter Class Name`' attribute
`void` `setSorterExtensionID(java.lang.String value)` Sets the value of the '`Sorter Extension ID`' attribute
`void` `setUriInputTesterClassName(java.lang.String value)` Sets the value of the '`Uri Input Tester Class Name`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenDomainModelNavigator

`getDomainContentExtensionID, getDomainContentExtensionName, getDomainContentExtensionPriority, getDomainContentProviderClassName, getDomainContentProviderQualifiedClassName, getDomainLabelProviderClassName, getDomainLabelProviderQualifiedClassName, getDomainModelElementTesterClassName, getDomainModelElementTesterQualifiedClassName, getDomainNavigatorItemClassName, getDomainNavigatorItemQualifiedClassName, isGenerateDomainModelNavigator, setDomainContentExtensionID, setDomainContentExtensionName, setDomainContentExtensionPriority, setDomainContentProviderClassName, setDomainLabelProviderClassName, setDomainModelElementTesterClassName, setDomainNavigatorItemClassName, setGenerateDomainModelNavigator`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEditorGen

    GenEditorGenerator getEditorGen()

  Returns the value of the 'Editor Gen' container reference. It is bidirectional and its opposite is '`Navigator`'.

  If the meaning of the 'Editor Gen' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Editor Gen' container reference.
  See Also:
    `GMFGenPackage.getGenNavigator_EditorGen()`, `GenEditorGenerator.getNavigator()`
  ** Generated **
  Model:
    opposite="navigator" resolveProxies="false" transient="false" changeable="false"

### getContentExtensionID

    java.lang.String getContentExtensionID()

  Returns the value of the 'Content Extension ID' attribute.

  If the meaning of the 'Content Extension ID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Content Extension ID' attribute.
  See Also:
    `setContentExtensionID(String)`, `GMFGenPackage.getGenNavigator_ContentExtensionID()`
  ** Generated **
  Model:

### setContentExtensionID

    void setContentExtensionID(java.lang.String value)

  Sets the value of the '`Content Extension ID`' attribute.

  Parameters:
    `value` - the new value of the 'Content Extension ID' attribute.
  See Also:
    `getContentExtensionID()`
  ** Generated **

### getContentExtensionName

    java.lang.String getContentExtensionName()

  Returns the value of the 'Content Extension Name' attribute.

  If the meaning of the 'Content Extension Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Content Extension Name' attribute.
  See Also:
    `setContentExtensionName(String)`, `GMFGenPackage.getGenNavigator_ContentExtensionName()`
  ** Generated **
  Model:

### setContentExtensionName

    void setContentExtensionName(java.lang.String value)

  Sets the value of the '`Content Extension Name`' attribute.

  Parameters:
    `value` - the new value of the 'Content Extension Name' attribute.
  See Also:
    `getContentExtensionName()`
  ** Generated **

### getContentExtensionPriority

    java.lang.String getContentExtensionPriority()

  Returns the value of the 'Content Extension Priority' attribute.

  If the meaning of the 'Content Extension Priority' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Content Extension Priority' attribute.
  See Also:
    `setContentExtensionPriority(String)`, `GMFGenPackage.getGenNavigator_ContentExtensionPriority()`
  ** Generated **
  Model:

### setContentExtensionPriority

    void setContentExtensionPriority(java.lang.String value)

  Sets the value of the '`Content Extension Priority`' attribute.

  Parameters:
    `value` - the new value of the 'Content Extension Priority' attribute.
  See Also:
    `getContentExtensionPriority()`
  ** Generated **

### getLinkHelperExtensionID

    java.lang.String getLinkHelperExtensionID()

  Returns the value of the 'Link Helper Extension ID' attribute.

  If the meaning of the 'Link Helper Extension ID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Link Helper Extension ID' attribute.
  See Also:
    `setLinkHelperExtensionID(String)`, `GMFGenPackage.getGenNavigator_LinkHelperExtensionID()`
  ** Generated **
  Model:

### setLinkHelperExtensionID

    void setLinkHelperExtensionID(java.lang.String value)

  Sets the value of the '`Link Helper Extension ID`' attribute.

  Parameters:
    `value` - the new value of the 'Link Helper Extension ID' attribute.
  See Also:
    `getLinkHelperExtensionID()`
  ** Generated **

### getSorterExtensionID

    java.lang.String getSorterExtensionID()

  Returns the value of the 'Sorter Extension ID' attribute.

  If the meaning of the 'Sorter Extension ID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Sorter Extension ID' attribute.
  See Also:
    `setSorterExtensionID(String)`, `GMFGenPackage.getGenNavigator_SorterExtensionID()`
  ** Generated **
  Model:

### setSorterExtensionID

    void setSorterExtensionID(java.lang.String value)

  Sets the value of the '`Sorter Extension ID`' attribute.

  Parameters:
    `value` - the new value of the 'Sorter Extension ID' attribute.
  See Also:
    `getSorterExtensionID()`
  ** Generated **

### getActionProviderID

    java.lang.String getActionProviderID()

  Returns the value of the 'Action Provider ID' attribute.

  If the meaning of the 'Action Provider ID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Action Provider ID' attribute.
  See Also:
    `setActionProviderID(String)`, `GMFGenPackage.getGenNavigator_ActionProviderID()`
  ** Generated **
  Model:

### setActionProviderID

    void setActionProviderID(java.lang.String value)

  Sets the value of the '`Action Provider ID`' attribute.

  Parameters:
    `value` - the new value of the 'Action Provider ID' attribute.
  See Also:
    `getActionProviderID()`
  ** Generated **

### getContentProviderClassName

    java.lang.String getContentProviderClassName()

  Returns the value of the 'Content Provider Class Name' attribute.

  If the meaning of the 'Content Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Content Provider Class Name' attribute.
  See Also:
    `setContentProviderClassName(String)`, `GMFGenPackage.getGenNavigator_ContentProviderClassName()`
  ** Generated **
  Model:

### setContentProviderClassName

    void setContentProviderClassName(java.lang.String value)

  Sets the value of the '`Content Provider Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Content Provider Class Name' attribute.
  See Also:
    `getContentProviderClassName()`
  ** Generated **

### getLabelProviderClassName

    java.lang.String getLabelProviderClassName()

  Returns the value of the 'Label Provider Class Name' attribute.

  If the meaning of the 'Label Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Label Provider Class Name' attribute.
  See Also:
    `setLabelProviderClassName(String)`, `GMFGenPackage.getGenNavigator_LabelProviderClassName()`
  ** Generated **
  Model:

### setLabelProviderClassName

    void setLabelProviderClassName(java.lang.String value)

  Sets the value of the '`Label Provider Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Label Provider Class Name' attribute.
  See Also:
    `getLabelProviderClassName()`
  ** Generated **

### getLinkHelperClassName

    java.lang.String getLinkHelperClassName()

  Returns the value of the 'Link Helper Class Name' attribute.

  If the meaning of the 'Link Helper Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Link Helper Class Name' attribute.
  See Also:
    `setLinkHelperClassName(String)`, `GMFGenPackage.getGenNavigator_LinkHelperClassName()`
  ** Generated **
  Model:

### setLinkHelperClassName

    void setLinkHelperClassName(java.lang.String value)

  Sets the value of the '`Link Helper Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Link Helper Class Name' attribute.
  See Also:
    `getLinkHelperClassName()`
  ** Generated **

### getSorterClassName

    java.lang.String getSorterClassName()

  Returns the value of the 'Sorter Class Name' attribute.

  If the meaning of the 'Sorter Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Sorter Class Name' attribute.
  See Also:
    `setSorterClassName(String)`, `GMFGenPackage.getGenNavigator_SorterClassName()`
  ** Generated **
  Model:

### setSorterClassName

    void setSorterClassName(java.lang.String value)

  Sets the value of the '`Sorter Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Sorter Class Name' attribute.
  See Also:
    `getSorterClassName()`
  ** Generated **

### getActionProviderClassName

    java.lang.String getActionProviderClassName()

  Returns the value of the 'Action Provider Class Name' attribute.

  If the meaning of the 'Action Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Action Provider Class Name' attribute.
  See Also:
    `setActionProviderClassName(String)`, `GMFGenPackage.getGenNavigator_ActionProviderClassName()`
  ** Generated **
  Model:

### setActionProviderClassName

    void setActionProviderClassName(java.lang.String value)

  Sets the value of the '`Action Provider Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Action Provider Class Name' attribute.
  See Also:
    `getActionProviderClassName()`
  ** Generated **

### getAbstractNavigatorItemClassName

    java.lang.String getAbstractNavigatorItemClassName()

  Returns the value of the 'Abstract Navigator Item Class Name' attribute.

  If the meaning of the 'Abstract Navigator Item Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Abstract Navigator Item Class Name' attribute.
  See Also:
    `setAbstractNavigatorItemClassName(String)`, `GMFGenPackage.getGenNavigator_AbstractNavigatorItemClassName()`
  ** Generated **
  Model:

### setAbstractNavigatorItemClassName

    void setAbstractNavigatorItemClassName(java.lang.String value)

  Sets the value of the '`Abstract Navigator Item Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Abstract Navigator Item Class Name' attribute.
  See Also:
    `getAbstractNavigatorItemClassName()`
  ** Generated **

### getNavigatorGroupClassName

    java.lang.String getNavigatorGroupClassName()

  Returns the value of the 'Navigator Group Class Name' attribute.

  If the meaning of the 'Navigator Group Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Navigator Group Class Name' attribute.
  See Also:
    `setNavigatorGroupClassName(String)`, `GMFGenPackage.getGenNavigator_NavigatorGroupClassName()`
  ** Generated **
  Model:

### setNavigatorGroupClassName

    void setNavigatorGroupClassName(java.lang.String value)

  Sets the value of the '`Navigator Group Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Navigator Group Class Name' attribute.
  See Also:
    `getNavigatorGroupClassName()`
  ** Generated **

### getNavigatorItemClassName

    java.lang.String getNavigatorItemClassName()

  Returns the value of the 'Navigator Item Class Name' attribute.

  If the meaning of the 'Navigator Item Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Navigator Item Class Name' attribute.
  See Also:
    `setNavigatorItemClassName(String)`, `GMFGenPackage.getGenNavigator_NavigatorItemClassName()`
  ** Generated **
  Model:

### setNavigatorItemClassName

    void setNavigatorItemClassName(java.lang.String value)

  Sets the value of the '`Navigator Item Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Navigator Item Class Name' attribute.
  See Also:
    `getNavigatorItemClassName()`
  ** Generated **

### getUriInputTesterClassName

    java.lang.String getUriInputTesterClassName()

  Returns the value of the 'Uri Input Tester Class Name' attribute.

  If the meaning of the 'Uri Input Tester Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Uri Input Tester Class Name' attribute.
  See Also:
    `setUriInputTesterClassName(String)`, `GMFGenPackage.getGenNavigator_UriInputTesterClassName()`
  ** Generated **
  Model:

### setUriInputTesterClassName

    void setUriInputTesterClassName(java.lang.String value)

  Sets the value of the '`Uri Input Tester Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Uri Input Tester Class Name' attribute.
  See Also:
    `getUriInputTesterClassName()`
  ** Generated **

### getPackageName

    java.lang.String getPackageName()

  Returns the value of the 'Package Name' attribute.

  If the meaning of the 'Package Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Package Name' attribute.
  See Also:
    `setPackageName(String)`, `GMFGenPackage.getGenNavigator_PackageName()`
  ** Generated **
  Model:

### setPackageName

    void setPackageName(java.lang.String value)

  Sets the value of the '`Package Name`' attribute.

  Parameters:
    `value` - the new value of the 'Package Name' attribute.
  See Also:
    `getPackageName()`
  ** Generated **

### getChildReferences

    org.eclipse.emf.common.util.EList<GenNavigatorChildReference> getChildReferences()

  Returns the value of the 'Child References' containment reference list. The list contents are of type `GenNavigatorChildReference`. It is bidirectional and its opposite is '`Navigator`'.

  If the meaning of the 'Child References' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Child References' containment reference list.
  See Also:
    `GMFGenPackage.getGenNavigator_ChildReferences()`, `GenNavigatorChildReference.getNavigator()`
  ** Generated **
  Model:
    opposite="navigator" containment="true"

### getContentProviderQualifiedClassName

    java.lang.String getContentProviderQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getLabelProviderQualifiedClassName

    java.lang.String getLabelProviderQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getLinkHelperQualifiedClassName

    java.lang.String getLinkHelperQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getSorterQualifiedClassName

    java.lang.String getSorterQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getActionProviderQualifiedClassName

    java.lang.String getActionProviderQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getAbstractNavigatorItemQualifiedClassName

    java.lang.String getAbstractNavigatorItemQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getNavigatorGroupQualifiedClassName

    java.lang.String getNavigatorGroupQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getNavigatorItemQualifiedClassName

    java.lang.String getNavigatorItemQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getUriInputTesterQualifiedClassName

    java.lang.String getUriInputTesterQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.